Skip to main content
POST
Create or replay an order-first checkout submission

Authorizations

X-Cart-Token
string
header
required

Purpose-limited capability returned for a guest cart.

Headers

Idempotency-Key
string
required

Caller-stable key reused only for retries of this exact request.

Required string length: 16 - 128
Pattern: ^[A-Za-z0-9._:-]{16,128}$
If-Match
string
required

Current cart ETag returned by the API.

Pattern: ^(?:W/)?"cart-(?:0|[1-9][0-9]*)"$

Path Parameters

locationId
string
required
Required string length: 1 - 128
cartId
string
required
Required string length: 1 - 128

Body

application/json
acceptedCatalogEvidence
object
required
acceptedDiscountEvidence
object
required
collectionMode
enum<string>
required
Available options:
ONLINE,
PAY_AT_STORE
customerConfirmationRevision
integer
required
Required range: 0 < x <= 9007199254740991
quoteFingerprint
string
required
Pattern: ^[a-f0-9]{64}$
savedPaymentMethodId
string
Required string length: 1 - 255
Pattern: ^pm_[A-Za-z0-9_]+$

Response

Stable order-first submission outcome.

attemptId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
collectionMode
enum<string>
required
Available options:
ONLINE,
PAY_AT_STORE
orderId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
settlementAdapter
enum<string>
required
Available options:
STRIPE,
SQUARE,
CLOVER,
TOAST
status
enum<string>
required
Available options:
CUSTOMER_ACTION_REQUIRED
clientSecret
string
required
Minimum string length: 1
connectedAccountId
string
required
Required string length: 1 - 255
mode
enum<string>
required
Available options:
test,
live
nextAction
enum<string>
required
Available options:
COLLECT_PAYMENT_METHOD,
CONFIRM_PAYMENT,
HANDLE_NEXT_ACTION,
WAIT,
NONE
catering
object | null